/***************************************************************************
                          addsetilocdlg.h  -  description
                             -------------------
    begin                : Sat Oct 30 1999
    copyright            : (C) 1999 by Gordon Machel
    email                : gmachel@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ADDSETILOCDLG_H
#define ADDSETILOCDLG_H

#include <qlineedit.h>
#include <qcolor.h>

#include "addsetitmpl.h"
#include "setiloc.h"

/**
  *@author Gordon Machel
  */

class AddSetiLocDlg : public AddSetiTmpl
{
Q_OBJECT

public:
	AddSetiLocDlg(QWidget* parent=0, const char* name=0);
	~AddSetiLocDlg();
	void setOptions(const LocSettings& locsets);
	LocSettings options() const;
  void setSetiDirectory(const QString& t) {DirecEdit->setText(t);}
  QString setiDirectory() const {return(DirecEdit->text());}
  void setLogDirectory(const QString& t) {RedirEdit->setText(t);}
  QString logDirectory() const {return(RedirEdit->text());}

protected slots:
	void slotOk();
	void slotGetSetiDirectory();
	void slotGetLogDirectory();
	void slotHandleText(const QString& t);

};

#endif







