/***************************************************************************
                          datainfo.h  -  description
                             -------------------
    begin                : Tue Oct 26 1999
    copyright            : (C) 1999 by Gordon Machel
    email                : gmachel@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DATAINFO_H
#define DATAINFO_H

#include <qwidget.h>

#include "poplistview.h"

class QPushButton;
class QPixmap;

/**
  *@author Gordon Machel
  */
class DataInfoListViewItem : public QListViewItem
{
public:
	DataInfoListViewItem(QListView* parent);
	~DataInfoListViewItem();
  /** Returns a string which is used for sorting the items. */
  virtual QString key(int column, bool ascending) const;

protected:
	virtual void paintCell(QPainter* p, const QColorGroup& cg, int column, int width, int align);
};


class DataInfo : public QWidget
{
Q_OBJECT

struct TableColumn	{
										QString text;
										int     width;
										int     alignment;
										};

public:
	DataInfo(QPixmap *starmap, QWidget *parent=0, const char *name=0);
	~DataInfo();

public slots:
	void refreshList();

protected: 
	void resizeEvent(QResizeEvent *e);
	popListView *QListView_1;
  /**  */
  bool sortingorder;
	QPushButton *QPushButton_1;
  /**  */
  QPixmap* sm;

protected slots:
	void showMap();
  /**  */
  void toggleSorting(int column);
};

#endif
