/***************************************************************************
                          userinfo.h  -  description
                             -------------------
    begin                : Tue Oct 26 1999
    copyright            : (C) 1999 by Gordon Machel
    email                : gmachel@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef USERINFO_H
#define USERINFO_H

#include <qwidget.h>

#include "poplistview.h"

/**
  *@author Gordon Machel
  */
class UserInfoListViewItem : public QListViewItem
{
public:
	UserInfoListViewItem(QListView* parent);
	~UserInfoListViewItem();
  /** Returns a string which is used for sorting the items. */
  virtual QString key(int column, bool ascending) const;

protected:
	virtual void paintCell(QPainter* p, const QColorGroup& cg, int column, int width, int align);
};

class UserInfo : public QWidget
{
Q_OBJECT

struct TableColumn	{
										QString text;
										int     width;
										int     alignment;
										};

public:
	UserInfo(QWidget *parent=0, const char *name=0);
	~UserInfo();

public slots:
	void refreshList();

protected: 
	void resizeEvent(QResizeEvent *e);
	//Generated area. DO NOT EDIT!!!(begin)
	popListView *QListView_1;
  /**  */
  bool sortingorder;
	//Generated area. DO NOT EDIT!!!(end)

protected slots: // Protected slots
  /**  */
  void toggleSorting(int column);
};

#endif





